/*
 * This file is generated by jOOQ.
 */
package nu.studer.sample.tables.pojos;


import java.io.Serializable;
import java.sql.Date;
import java.util.UUID;

import javax.annotation.processing.Generated;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "https://www.jooq.org",
        "jOOQ version:3.15.1"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class Task implements Serializable {

    private static final long serialVersionUID = 1L;

    private final UUID   uuid;
    private final UUID   parentTaskUuid;
    private final String description;
    private final Date   createdAt;
    private final Date   desiredAt;
    private final Date   dueAt;
    private final Double percent;
    private final UUID   purposeUuid;

    public Task(Task value) {
        this.uuid = value.uuid;
        this.parentTaskUuid = value.parentTaskUuid;
        this.description = value.description;
        this.createdAt = value.createdAt;
        this.desiredAt = value.desiredAt;
        this.dueAt = value.dueAt;
        this.percent = value.percent;
        this.purposeUuid = value.purposeUuid;
    }

    public Task(
        UUID   uuid,
        UUID   parentTaskUuid,
        String description,
        Date   createdAt,
        Date   desiredAt,
        Date   dueAt,
        Double percent,
        UUID   purposeUuid
    ) {
        this.uuid = uuid;
        this.parentTaskUuid = parentTaskUuid;
        this.description = description;
        this.createdAt = createdAt;
        this.desiredAt = desiredAt;
        this.dueAt = dueAt;
        this.percent = percent;
        this.purposeUuid = purposeUuid;
    }

    /**
     * Getter for <code>selfbooster.task.uuid</code>.
     */
    public UUID getUuid() {
        return this.uuid;
    }

    /**
     * Getter for <code>selfbooster.task.parent_task_uuid</code>. uuid
     * родительской задачи
     */
    public UUID getParentTaskUuid() {
        return this.parentTaskUuid;
    }

    /**
     * Getter for <code>selfbooster.task.description</code>.
     */
    public String getDescription() {
        return this.description;
    }

    /**
     * Getter for <code>selfbooster.task.created_at</code>.
     */
    public Date getCreatedAt() {
        return this.createdAt;
    }

    /**
     * Getter for <code>selfbooster.task.desired_at</code>.
     */
    public Date getDesiredAt() {
        return this.desiredAt;
    }

    /**
     * Getter for <code>selfbooster.task.due_at</code>.
     */
    public Date getDueAt() {
        return this.dueAt;
    }

    /**
     * Getter for <code>selfbooster.task.percent</code>. процент выполнения
     */
    public Double getPercent() {
        return this.percent;
    }

    /**
     * Getter for <code>selfbooster.task.purpose_uuid</code>.
     */
    public UUID getPurposeUuid() {
        return this.purposeUuid;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder("Task (");

        sb.append(uuid);
        sb.append(", ").append(parentTaskUuid);
        sb.append(", ").append(description);
        sb.append(", ").append(createdAt);
        sb.append(", ").append(desiredAt);
        sb.append(", ").append(dueAt);
        sb.append(", ").append(percent);
        sb.append(", ").append(purposeUuid);

        sb.append(")");
        return sb.toString();
    }
}
